<div class="work-form">
  <h2>プロフィール編集</h2>
  <%= form_for @user,:url => {controller: "public/users", action: "update"}, method: :patch do |f| %>
    <%= render 'layouts/errors', obj: @user %>

    <div class="field">
      <div>
        <%= attachment_image_tag @user, :profile_image, :fill, 100, 100, format: 'jpeg', fallback: "no_image.jpg" %>
      </div>
      <div>
        <%= f.label :image %>
        <%= f.attachment_field :profile_image, placeholder: "プロフィール画像", class: "user-edit-form" %>
      </div>
    </div>

    <div class="field">
      <%= f.label '名前' %><br>
      <%= f.text_field :name, :size=>"60" %>
    </div>

    <div class="field">
      <%= f.label '個人または法人を選択してください' %><br>
      <%= f.select :status, User.statuses_i18n.keys.map { |k| [User.statuses_i18n[k], k] } %>
    </div>

    <div class="field">
      <%= f.label '表示名' %><br>
      <%= f.text_field :display_name, :size=>"60" %>
    </div>

    <div class="field">
      <%= f.label '電話番号' %><br>
      <%= f.text_field :phone_number, :size=>"60" %>
    </div>

    <div class="field">
      <%= f.label 'メールアドレス' %><br>
      <%= f.email_field :email, :size=>"60" %>
    </div>

    <div class="field">
      <%= f.label '郵便番号(先に入力すると、住所が自動入力されます)' %><br>
      <%= f.text_field :postal_code, id: "user_postcode" %>
    </div>

    <div class="field">
      <%= f.label '都道府県' %><br>
      <%= f.collection_select :prefecture_code, JpPrefecture::Prefecture.all, :code, :name, id: 'user_prefecture_code' %>
    </div>

    <div class="field">
      <%= f.label '市区町村' %><br>
      <%= f.text_field :address_city, id: 'user_city' %>
    </div>

    <div class="field">
      <%= f.label 'それ以下の住所' %><br>
      <%= f.text_field :address_street, id: 'user_street' %>
    </div>

    <div class="field">
      <%= f.label 'それ以下の住所（建物名・部屋番号）' %><br>
      <%= f.text_field :address_building %>
    </div>

    <div class="field">
      <%= f.label '誕生日' %><br>
      <%= f.date_select(:birth_date, use_month_numbers: true, start_year: 1930, #入力値の開始位置（西暦）
          end_year: (Time.now.year - 18), default: Date.new(1989, 1, 1))  %>
    </div>

    <div class="field">
      <%= f.label 'リンク' %><br>
      <%= f.text_field :url_link, :size=>"60" %>
    </div>

    <div class="field">
      <%= f.label 'ポートフォリオ' %><br>
      <%= f.text_field :portfolio, :size=>"60" %>
    </div>

    <div class="field">
      <%= f.label '自己紹介' %><br>
      <%= f.text_area :introduction, :size=>"60x10" %>
    </div>

    <%= f.submit "プロフィールを更新する", class: 'btn btn-primary' %>
    <%= button_to '退会する', user_path(@user), method: :delete, params: {user_id: @user.id}, class: 'button', data: {confirm: '本当に退会しますか？'} %>
  <% end %>
</div>










